@import 'src/app/styles/mixins';
@import 'src/app/styles/props';

:host {
  display: block;
  height: 100%;
}

// label
.app-label {
  @include ubuntuMedium;
  font-size: 12px;
  line-height: 13px;
  color: $eclipse;

  &.header {
    margin-bottom: 20px;
  }
}

// content
app-side-modal-content {
  height: calc(100% - 71px - 78px);
}

// footer
app-side-modal-footer {
  @include flex(center);
  height: 78px;

  button {
    width: 80px;
    height: 28px;
    font-size: 10px;
    line-height: 11px;
  }

  // button gap
  button + button {
    margin-left: 7px;
  }

  app-spinner {
    width: 100%;

    ::ng-deep {
      .app-spinner {
        @include ball(28px);
      }
    }
  }
}
